Agent deleted
Delete agent
delete
https://api.dev.poly.ai/v1/agents/{agentId}
Response
204
Response
204
delete/v1/agents/{agentId}
Authentication
204
Duplicate agent
post
https://api.dev.poly.ai/v1/agents/{agentId}/duplicate
Body
application/json
Body
application/json
DuplicateAgentBody
* Additional properties are NOT allowed.
newAgentIdstring
Match pattern:^[a-zA-Z0-9-]+$
newAgentNamestringrequired
>= 1 characters<= 100 characters
Response
200 application/json
Response
200 application/json
Duplicated agent
CreateAgentResponse
* Additional properties are NOT allowed.
accountIdstringrequired
agentIdstringrequired
agentNamestringrequired
createdAtstringrequired
updatedAtstringrequired
branchCountnumberrequired
post/v1/agents/{agentId}/duplicate
Authentication
Body
{
"newAgentName": "newAgentName"
}
200 application/json
List branches
get
https://api.dev.poly.ai/v1/agents/{agentId}/branches
Response
200
Response
200
List of branches
get/v1/agents/{agentId}/branches
Authentication
200
Create branch
post
https://api.dev.poly.ai/v1/agents/{agentId}/branches
Body
application/json
Body
application/json
CreateBranchBody
* Additional properties are NOT allowed.
branchNamestringrequired
>= 1 characters<= 100 characters
Response
201
Response
201
Branch created
post/v1/agents/{agentId}/branches
Authentication
Body
{
"branchName": "branchName"
}
201
Delete branch
delete
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}
Response
200
Response
200
Branch deleted
delete/v1/agents/{agentId}/branches/{branchId}
Authentication
200